<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_white_mask_bg"
    android:paddingTop="16dp"
    android:paddingBottom="36dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_guest"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_follow"
            android:layout_width="wrap_content"
            android:layout_height="48dp"
            android:layout_marginStart="16dp"
            android:paddingHorizontal="24dp"
            android:visibility="gone"
            app:button_left_drawable="@drawable/profile_follow_ic"
            app:button_left_drawable_margin="4dp"
            app:button_left_drawable_width="22dp"
            app:common_button_type="normal1"
            app:layout_constraintEnd_toStartOf="@id/btn_chat"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:text="@string/common_follow"
            app:textColor="@color/white"
            app:textSize="16sp"
            tools:visibility="visible" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_chat"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="16dp"
            app:button_left_drawable="@drawable/profile_chat_ic"
            app:button_left_drawable_margin="4dp"
            app:button_left_drawable_width="24dp"
            app:common_button_type="normal2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_follow"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_goneMarginStart="16dp"
            app:text="@string/common_chat"
            app:textColor="@color/white"
            app:textSize="16sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_self"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_guest">

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_publish_dynamic"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:paddingHorizontal="24dp"
            app:button_left_drawable="@drawable/profile_publish_dynamic_ic"
            app:button_left_drawable_margin="4dp"
            app:button_left_drawable_width="20dp"
            app:common_button_type="normal1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:text="@string/profile_publish_dynamic"
            app:textColor="@color/white"
            app:textSize="16sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>